Subject: Re: bug#46877: Guix assumes ideal network exists, does not

From: zimoun <[email-masked]>
Date: Tue, 2 Mar 2021 21:18:17 +0100

On Tue, 2 Mar 2021 at 21:00, zimoun <[email-masked]> wrote:

> Instead of processing the list in one go, we could imagine split it
> into several chunks, say X, and so process only X requests by X
> requests.

My bad, it is already the case where X=1000 in (guix http-client).
Well, the error / retry seems poorly handled in 'http-multiple-get'.

Cheers,
simon